
From: Colin Leroy <colin@colino.net>

This patch fixes ans-lcd compilation error and warnings.  See
http://bugzilla.kernel.org/show_bug.cgi?id=3497

Signed-off-by: Colin Leroy <colin@colino.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/macintosh/ans-lcd.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/macintosh/ans-lcd.c~fix-ans-lcd-compilation drivers/macintosh/ans-lcd.c
--- 25/drivers/macintosh/ans-lcd.c~fix-ans-lcd-compilation	Wed Oct  6 15:55:52 2004
+++ 25-akpm/drivers/macintosh/ans-lcd.c	Wed Oct  6 15:55:57 2004
@@ -9,6 +9,8 @@
 #include <linux/fcntl.h>
 #include <linux/init.h>
 #include <linux/delay.h>
+#include <linux/fs.h>
+
 #include <asm/uaccess.h>
 #include <asm/sections.h>
 #include <asm/prom.h>
@@ -154,7 +156,7 @@ anslcd_init(void)
 	retval = misc_register(&anslcd_dev);
 	if(retval < 0){
 		printk(KERN_INFO "LCD: misc_register failed\n");
-		iounmap(anslcd_ptr);
+		iounmap((void *)anslcd_ptr);
 		return retval;
 	}
 
@@ -177,7 +179,7 @@ static void __exit
 anslcd_exit(void)
 {
 	misc_deregister(&anslcd_dev);
-	iounmap(anslcd_ptr);
+	iounmap((void *)anslcd_ptr);
 }
 
 module_init(anslcd_init);
_
